Subject: Ticket Assigned - Delivery
From: Home Box <[email-masked]>
To: [email-masked]
Date: Sun, 11 Sep 2022 05:02:19 +0000

Hi Alhamzi Mohammed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Dear all,

last two weeks I bought a bed and some stuff from your branch in Al-khober. Last Saturday, it was the delivery day for the shipment. I got a call from 013-892-5344 and I was told that the bed is not there and it will be delivered after 5 days. since that time, I call the customer service #800-111-0888 and it was disappointment, every time I call them they told me someone will approch me with a detailed plan for the bed. Until now. I have no clue and no update in my case. please advise me or refund me. 
Thanks
Abdulaziz Alhamidi
Mobile # 0503876615
Saudi Arabia. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4816223